package cn.ibizlab.humanresource.core.humanresource.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.humanresource.domain.HRTechnicalTitle;
/**
 * 关系型数据实体[HRTechnicalTitle] 查询条件对象
 */
@Slf4j
@Data
public class HRTechnicalTitleSearchContext extends QueryWrapperContext<HRTechnicalTitle> {

	private String n_hrtechnicaltitlename_like;//[职称名称]
	public void setN_hrtechnicaltitlename_like(String n_hrtechnicaltitlename_like) {
        this.n_hrtechnicaltitlename_like = n_hrtechnicaltitlename_like;
        if(!ObjectUtils.isEmpty(this.n_hrtechnicaltitlename_like)){
            this.getSearchCond().like("hrtechnicaltitlename", n_hrtechnicaltitlename_like);
        }
    }
	private String n_hremployeeid_eq;//[员工标识]
	public void setN_hremployeeid_eq(String n_hremployeeid_eq) {
        this.n_hremployeeid_eq = n_hremployeeid_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeeid_eq)){
            this.getSearchCond().eq("hremployeeid", n_hremployeeid_eq);
        }
    }
	private String n_hremployeename_eq;//[员工姓名]
	public void setN_hremployeename_eq(String n_hremployeename_eq) {
        this.n_hremployeename_eq = n_hremployeename_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_eq)){
            this.getSearchCond().eq("hremployeename", n_hremployeename_eq);
        }
    }
	private String n_hremployeename_like;//[员工姓名]
	public void setN_hremployeename_like(String n_hremployeename_like) {
        this.n_hremployeename_like = n_hremployeename_like;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_like)){
            this.getSearchCond().like("hremployeename", n_hremployeename_like);
        }
    }
	private String n_titlelevel_eq;//[职称等级]
	public void setN_titlelevel_eq(String n_titlelevel_eq) {
        this.n_titlelevel_eq = n_titlelevel_eq;
        if(!ObjectUtils.isEmpty(this.n_titlelevel_eq)){
            this.getSearchCond().eq("titlelevel", n_titlelevel_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrtechnicaltitlename", query)   
            );
		 }
	}
}



